import { Controller, Get, Post, Body, Patch, Param, Delete } from '@nestjs/common';
import { {{pascalCase name}}Service } from './{{kebabCase name}}.service';
import { Create{{pascalCase name}}Dto } from './dto/create-{{kebabCase name}}.dto';
import { Update{{pascalCase name}}Dto } from './dto/update-{{kebabCase name}}.dto';

@Controller('{{kebabCase name}}')
export class {{pascalCase name}}Controller {
  constructor(private readonly {{camelCase name}}Service: {{pascalCase name}}Service) {}

  @Post()
  create(@Body() create{{pascalCase name}}Dto: Create{{pascalCase name}}Dto) {
    return this.{{camelCase name}}Service.create(create{{pascalCase name}}Dto);
  }

  @Get()
  findAll() {
    return this.{{camelCase name}}Service.findAll();
  }

  @Get(':id')
  findOne(@Param('id') id: string) {
    return this.{{camelCase name}}Service.findOne(+id);
  }

  @Patch(':id')
  update(@Param('id') id: string, @Body() update{{pascalCase name}}Dto: Update{{pascalCase name}}Dto) {
    return this.{{camelCase name}}Service.update(+id, update{{pascalCase name}}Dto);
  }

  @Delete(':id')
  remove(@Param('id') id: string) {
    return this.{{camelCase name}}Service.remove(+id);
  }
}