import { Injectable } from '@nestjs/common';
import { PrismaService } from '../prisma/prisma.service';
import { Create{{pascalCase name}}Dto } from './dto/create-{{kebabCase name}}.dto';
import { Update{{pascalCase name}}Dto } from './dto/update-{{kebabCase name}}.dto';

@Injectable()
export class {{pascalCase name}}Repository {
  constructor(private readonly prisma: PrismaService) {}

  async create(create{{pascalCase name}}Dto: Create{{pascalCase name}}Dto) {
    return this.prisma.{{camelCase name}}.create({
      data: create{{pascalCase name}}Dto,
    });
  }

  async findAll() {
    return this.prisma.{{camelCase name}}.findMany();
  }

  async findOne(id: number) {
    return this.prisma.{{camelCase name}}.findUnique({
      where: { id },
    });
  }

  async update(id: number, update{{pascalCase name}}Dto: Update{{pascalCase name}}Dto) {
    return this.prisma.{{camelCase name}}.update({
      where: { id },
      data: update{{pascalCase name}}Dto,
    });
  }

  async remove(id: number) {
    return this.prisma.{{camelCase name}}.delete({
      where: { id },
    });
  }
}