import { Injectable } from '@nestjs/common';
import { InjectRepository } from '@nestjs/typeorm';
import { Repository } from 'typeorm';
import { {{pascalCase name}} } from './entities/{{kebabCase name}}.entity';
import { Create{{pascalCase name}}Dto } from './dto/create-{{kebabCase name}}.dto';
import { Update{{pascalCase name}}Dto } from './dto/update-{{kebabCase name}}.dto';

@Injectable()
export class {{pascalCase name}}Repository {
  constructor(
    @InjectRepository({{pascalCase name}})
    private readonly repository: Repository<{{pascalCase name}}>,
  ) {}

  async create(create{{pascalCase name}}Dto: Create{{pascalCase name}}Dto): Promise<{{pascalCase name}}> {
    const entity = this.repository.create(create{{pascalCase name}}Dto);
    return this.repository.save(entity);
  }

  async findAll(): Promise<{{pascalCase name}}[]> {
    return this.repository.find();
  }

  async findOne(id: number): Promise<{{pascalCase name}}> {
    return this.repository.findOneBy({ id });
  }

  async update(id: number, update{{pascalCase name}}Dto: Update{{pascalCase name}}Dto): Promise<void> {
    await this.repository.update(id, update{{pascalCase name}}Dto);
  }

  async remove(id: number): Promise<void> {
    await this.repository.delete(id);
  }
}