import { Injectable } from '@nestjs/common';
import { InjectModel } from '@nestjs/mongoose';
import { Model } from 'mongoose';
import { {{pascalCase name}}, {{pascalCase name}}Document } from './entities/{{kebabCase name}}.entity';
import { Create{{pascalCase name}}Dto } from './dto/create-{{kebabCase name}}.dto';
import { Update{{pascalCase name}}Dto } from './dto/update-{{kebabCase name}}.dto';

@Injectable()
export class {{pascalCase name}}Repository {
  constructor(
    @InjectModel({{pascalCase name}}.name)
    private readonly model: Model<{{pascalCase name}}Document>
  ) {}

  async create(create{{pascalCase name}}Dto: Create{{pascalCase name}}Dto): Promise<{{pascalCase name}}> {
    const created = new this.model(create{{pascalCase name}}Dto);
    return created.save();
  }

  async findAll(): Promise<{{pascalCase name}}[]> {
    return this.model.find().exec();
  }

  async findOne(id: string): Promise<{{pascalCase name}}> {
    return this.model.findById(id).exec();
  }

  async update(id: string, update{{pascalCase name}}Dto: Update{{pascalCase name}}Dto): Promise<{{pascalCase name}}> {
    return this.model.findByIdAndUpdate(id, update{{pascalCase name}}Dto, { new: true }).exec();
  }

  async remove(id: string): Promise<{{pascalCase name}}> {
    return this.model.findByIdAndDelete(id).exec();
  }
}