import { Injectable } from '@nestjs/common';
import { InjectModel } from '@nestjs/sequelize';
import { {{pascalCase name}} } from './entities/{{kebabCase name}}.entity';
import { Create{{pascalCase name}}Dto } from './dto/create-{{kebabCase name}}.dto';
import { Update{{pascalCase name}}Dto } from './dto/update-{{kebabCase name}}.dto';

@Injectable()
export class {{pascalCase name}}Repository {
  constructor(
    @InjectModel({{pascalCase name}})
    private {{camelCase name}}Model: typeof {{pascalCase name}},
  ) {}

  async create(create{{pascalCase name}}Dto: Create{{pascalCase name}}Dto): Promise<{{pascalCase name}}> {
    return this.{{camelCase name}}Model.create({ ...create{{pascalCase name}}Dto } as any);
  }

  async findAll(): Promise<{{pascalCase name}}[]> {
    return this.{{camelCase name}}Model.findAll();
  }

  async findOne(id: number): Promise<{{pascalCase name}}> {
    return this.{{camelCase name}}Model.findByPk(id);
  }

  async update(id: number, update{{pascalCase name}}Dto: Update{{pascalCase name}}Dto): Promise<[number, {{pascalCase name}}[]]> {
    const [affectedCount, affectedRows] = await this.{{camelCase name}}Model.update(
      { ...update{{pascalCase name}}Dto },
      { where: { id }, returning: true }
    );
    return [affectedCount, affectedRows];
  }

  async remove(id: number): Promise<number> {
    return this.{{camelCase name}}Model.destroy({ where: { id } });
  }
}