import { Entity, PrimaryGeneratedColumn, Column, CreateDateColumn, UpdateDateColumn } from 'typeorm';

@Entity('{{kebabCase name}}s')
export class {{pascalCase name}} {
  @PrimaryGeneratedColumn()
  id: number;
  
  @Column({
    type: DataType.STRING,
    allowNull: false
  })
  name: string;

  @CreateDateColumn()
  createdAt: Date;

  @UpdateDateColumn()
  updatedAt: Date;
} 